xt_geoip_build(1)

Name

xt_geoip_build — convert GeoIP.csv to packed format for xt_geoip

Syntax

/usr/libexec/xt_geoip/xt_geoip_build [-D target_dir] [-S source_dir]

Description

xt_geoip_build is used to build packed raw representations of the range database that the xt_geoip module relies on. Since kernel memory is precious, much of the preprocessing is done in userspace by this very building tool. One file is produced for each country, so that no more addresses than needed are required to be loaded into memory. The ranges in the packed database files are also ordered, as xt_geoip relies on this property for its bisection approach to work.

Since the script is usually installed to the libexec directory of the xtables-addons package and this is outside $PATH (on purpose), invoking the script requires it to be called with a path.

-D target_dir
    Specifies the target directory into which the files are to be put. Defaults to ".".

-S source_dir
    Specifies the source directory from which to read the three files by the name of GeoLite2-Country-Blocks-IPv4.csv, GeoLite2-Country-Blocks-IPv6.csv and GeoLite2-Country-Locations-en.csv. Defaults to ".".

Application

Shell commands to build the databases and put them to where they are expected:

xt_geoip_build -D /usr/share/xt_geoip

See also

xt_geoip_dl(1)